### File

`packages/eui/packages/components-next/src/lib/components/eui-file-upload/utils/eui-file-upload.utils.ts`

### Index

###### Methods
Public sendData Public toFormData Public toResponseBody Public uploadProgress

### Constructor

`constructor(httpClient: HttpClient)`
Parameters :
Name | Type | Optional
httpClient | `HttpClient` | No

### Methods

Public sendData
`sendData(data: any, APIEndPoint: string)`
Parameters :
Name | Type | Optional
data | `any` | No
APIEndPoint | `string` | No
Returns : `any`

Public toFormData
`toFormData(formValue: any)`
Type parameters : T
Parameters :
Name | Type | Optional
formValue | `any` | No
Returns : `any`

Public toResponseBody
`toResponseBody()`
Type parameters : T
Returns : `any`

Public uploadProgress
`uploadProgress(cb: (progress: number) => void)`
Type parameters : T
Parameters :
Name | Type | Optional
cb | `function` | No
Returns : `any`

# result-matching ""

# No results matching ""